Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class UserIDPrincipal

    java.lang.Object
      com.ibm.security.auth.JAASPrincipal
          com.ibm.security.auth.UserIDPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class UserIDPrincipal

extends JAASPrincipal

This class extends the `JAASPrincipal` class and represents a user's identification (UID).

Principals such as this `UserIDPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

Author:
  D. Kent Soper, Andrew Gotte
See Also:
  `Principal`, `Subject`, Serialized Form

Constructor Summary
`UserIDPrincipal(long lname)` Create an `UserIDPrincipal` using a long representation of the user's identification.
`UserIDPrincipal(java.lang.String name)` Create an `UserIDPrincipal` using a `String` representation of the user's identification.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `UserIDPrincipal` for equality.
`long` | `longValue()` Return the user identification number (UID) for this `UserIDPrincipal` as a long.
`java.lang.String` | `toString()` Return a string representation of this `UserIDPrincipal`.

Methods inherited from class com.ibm.security.auth.JAASPrincipal
`getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserIDPrincipal

    public UserIDPrincipal(java.lang.String name)

  Create an `UserIDPrincipal` using a `String` representation of the user's identification.

  Parameters:
    `name` - the user identification for this user.
  Throws:
    `java.lang.NullPointerException` - if the `name` is `null`.
    `java.lang.IllegalArgumentException` - if the `name` has zero length.

### UserIDPrincipal

    public UserIDPrincipal(long lname)

  Create an `UserIDPrincipal` using a long representation of the user's identification.

  Parameters:
    `lname` - the user identification number (UID) for this user represented as a long.

Method Detail

### longValue

    public long longValue()

  Return the user identification number (UID) for this `UserIDPrincipal` as a long.

  Returns:
    the user identification number (UID) for this `UserIDPrincipal` as a long.

### toString

    public java.lang.String toString()

  Return a string representation of this `UserIDPrincipal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `JAASPrincipal`
  Returns:
    a string representation of this `UserIDPrincipal`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `UserIDPrincipal` for equality. Returns true if the given object is also a `UserIDPrincipal` and the two UserIDPrincipals have the same user identification.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `JAASPrincipal`
  Parameters:
    `o` - Object to be compared for equality with this `UserIDPrincipal`.
  Returns:
    true if the specified Object is equal to this `UserIDPrincipal`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD